// var R;


$(function() {
  $(window).resize(function() {
    var svgAspect = 1220 / 560;
    var windowWidth = $(window).width();
    var svgWidth = windowWidth - 20;
    var svgHeight = parseInt(svgWidth / svgAspect);
    $('svg').attr("width", svgWidth);
    $('svg').attr("height", svgHeight);
  });
  $(window).resize();
  $.getJSON("radia.json", {}, function(data) {
    var R = data;
    var $texts = [];
    $('text').each(function() {
      var $tspan = $(this).children('tspan').eq(0);
      var key = $.trim($tspan.text());
      if (R.hasOwnProperty(key)) {
        thisData = R[key];
        var $this = $(this);
//        $this.data("r", thisData);
        $this.data("name", thisData.name);
        $this.data("type", thisData.type);
        $this.data("link", thisData.link);
        $this.addClass(thisData.type);
        $this.tooltip({
          'delay': 0,
          'showURL': false,
          'bodyHandler': function() {
            return $(this).data("name");
          }
        });
        $texts.push($this);

        $this.mouseover(function(e) {
          var typ = $(this).data("type");
          for (var i=0; i<$texts.length;i++) {
            var $t = $texts[i];
            if ($t.data("type") == typ) {
              $t.css({'fontWeight': 'bold'});
            }
          }
//          $('.' + cls).addClass("highlighted");
//          console.log($('.' + cls).length);
        });

        $this.mouseout(function(e) {
          var typ = $(this).data("type");
          for (var i=0; i<$texts.length;i++) {
            var $t = $texts[i];
            if ($t.data("type") == typ) {
              $t.css({'fontWeight': 'normal'});
            }
          }
//          $('.' + cls).removeClass("highlighted");
        });

        $this.click(function() {
          console.log($(this).data("link"));
        });
      }
    });
  });
});

